Implementation Row
The implementation row resource.
Basehttps://rest.carbon.ms/implementationRow
GET
/implementationRowList implementation rows
Retrieve a paginated list of implementation rows. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/implementationRow
curl --request GET \
--url 'https://rest.carbon.ms/implementationRow?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"companyId": "xyz789",
"collection": "string",
"payload": "string",
"sortOrder": 0,
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"updatedBy": "string"
}
]GET
/implementationRowRetrieve a implementation row
Fetch a single implementation row by filtering on `id`.
Query parameters
idstringMatch on the implementation row's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/implementationRow
curl --request GET \
--url 'https://rest.carbon.ms/implementationRow?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"collection": "string",
"payload": "string",
"sortOrder": 0,
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"updatedBy": "string"
}POST
/implementationRowCreate a implementation row
Create a new implementation row.
Body parameters
collectionstringrequiredpayloadobjectrequiredsortOrdernumberrequiredPOSThttps://rest.carbon.ms/implementationRow
curl --request POST \
--url https://rest.carbon.ms/implementationRow \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"collection":"string","payload":"string","sortOrder":0}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"collection": "string",
"payload": "string",
"sortOrder": 0,
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"updatedBy": "string"
}PATCH
/implementationRowUpdate a implementation row
Update an existing implementation row, matched on `id`.
Body parameters
collectionstringrequiredpayloadobjectrequiredsortOrdernumberrequiredPATCHhttps://rest.carbon.ms/implementationRow
curl --request PATCH \
--url 'https://rest.carbon.ms/implementationRow?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"collection":"string"}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"collection": "string",
"payload": "string",
"sortOrder": 0,
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"updatedBy": "string"
}DELETE
/implementationRowDelete a implementation row
Delete a implementation row, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the implementation row to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/implementationRow
curl --request DELETE \
--url 'https://rest.carbon.ms/implementationRow?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content